Subject: Re: [mobile-ip] question on prefixes to be included in MPA

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Feb 2003 18:27:32 +0200

Joe Lau wrote:

>>there is nothing that can be done about this without the S bit.
> 
> 
> Then we should make this clear on draft.
> 
> 10.3.1 Primary Care-of Address Registration
>    o  ...
> 
>    o  Else, if the home address for the binding (the Home Address field
>       in the packet's Home Address option) is not an on-link IPv6
>       address with respect to the home agent's current Prefix List, ...
> 
> Currently, the word "on-link" does not suggest anything about the H-bit
> of the prefix.  I checked the MIPL implementation.  It also does not seems
> to check the H-bit either...
> 
> 
> The draft really needs to clarify this issue better.

I agree. I suggest changing the bullet item to:

    o  Else, if the home address for the binding (the Home Address field
       in the packet's Home Address option) is not an on-link IPv6
       address with respect to the home agent's current Prefix List
       and the prefix is advertised by a home agent with the Home Agent
       (H) bit set, ...

Jari

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 03 Feb 2003 09:54:02 -0800

>        and the prefix is advertised by a home agent with the Home Agent

did you want to say?

     o  Else, if the home address for the binding (the Home Address
field
        in the packet's Home Address option) is not an on-link IPv6
        address with respect to the home agent's current Prefix List
        or if the corresponding prefix was advertised without the 
        Home Agent (H) bit set, ...

the (...) talks about rejecting a binding update with status set to
132 (not home subnet)

Vijay

---

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Feb 2003 21:28:20 +0200

> the (...) talks about rejecting a binding update with status set to

That's right. Thanks,

Jari